低危 Bouncy Castle BKS-V1存在未明漏洞

CVE编号

CVE-2018-5382

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-04-17
漏洞描述
Bouncy Castle是一个用于C#和Java应用程序的加密库。BKS-V1是其中的一种秘钥存储格式。

Bouncy Castle BKS-V1中存在安全漏洞,该漏洞源于Bouncy Castle BKS-V1文件所使用HMAC的长度仅为16位。攻击者可利用该漏洞控制BKS-V1密钥库的完整性。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://www.bouncycastle.org/releasenotes.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 bouncycastle legion-of-the-bouncy-castle-java-crytography-api * Up to
(excluding)
1.47
运行在以下环境
系统 ubuntu_14.04.6_lts bouncycastle * Up to
(excluding)
1.49+dfsg-2
运行在以下环境
系统 ubuntu_14.04_lts bouncycastle * Up to
(excluding)
1.49+dfsg-2
运行在以下环境
系统 ubuntu_16.04.7_lts bouncycastle * Up to
(excluding)
1.51-4ubuntu1
运行在以下环境
系统 ubuntu_16.04_lts bouncycastle * Up to
(excluding)
1.51-4ubuntu1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-354 完整性检查值验证不恰当
阿里云安全产品覆盖情况